include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/kvoctrain/kvoctrain/kvt-core
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### commondlg (static)

tde_add_library( commondlg STATIC_PIC AUTOMOC

  SOURCES
        languagesettings.kcfgc
        prefs.kcfgc
        presettings.kcfgc
        ProgressDlgForm.ui
        generaloptionsbase.ui
        viewoptionsbase.ui
        pasteoptionsbase.ui
        blockoptionsbase.ui
        groupoptionsbase.ui
        languageoptionsbase.ui
        queryoptionsbase.ui
        thresholdoptionsbase.ui
        ProgressDlg.cpp
        kvoctrainprefs.cpp
        generaloptions.cpp
        viewoptions.cpp
        pasteoptions.cpp
        blockoptions.cpp
        groupoptions.cpp
        languageoptions.cpp
        queryoptions.cpp
        thresholdoptions.cpp
        profilesdialog.cpp
)


##### other data

install(
    FILES
        kvoctrain.kcfg
        languagesettings.kcfg
        presettings.kcfg

    DESTINATION ${KCFG_INSTALL_DIR}
)
